﻿@using Jumbula.Common.Helper
@model SportsClub.Models.Register.RegisterProgramModel

@{
    Layout = null;
}

@if (Model.SubscriptionHasFullPayOption &&  Model.SubscriptionMode == SportsClub.Models.Register.SubscriptionMode.Normal)
{
    if (Model.ProgramTypeCategory == ProgramTypeCategory.Subscription)
    {
        Html.RenderAction("SubscriptionPaymentPlan", new { programId = Model.ProgramId, desiredStartDate = Model.DesiredStartDate, chargeDiscountsText = Model.ChargeDiscountsText, selectedDays = Model.Days, isDropIn = Model.SubscriptionMode == SportsClub.Models.Register.SubscriptionMode.DropIn });
    }
    else
    {
        Html.RenderAction("BeforeAfterPaymentPlan", new { programId = Model.ProgramId, desiredStartDate = Model.DesiredStartDate, chargeDiscountsText = Model.ChargeDiscountsText, selectedDays = Model.Days, isDropIn = Model.SubscriptionMode == SportsClub.Models.Register.SubscriptionMode.DropIn });
    }
}
else
{
    if (Model.PaymentPlanLists.Any())
    {
        <section id="selectPaymentPlan" class="col-xs-12 col-sm-12 col-md-8 col-lg-9 step">
            <div class="full-width payment-plan">
                <h4>How would you like to pay? Please select your payment option.</h4>
                @if (Model.ClubDomain.ToLower() == "learnerschess")
                {
                    <span style="color:red">(If you want to apply for a need based scholarship, please select "Pay in full" option)</span>
                }

                <div class="radio">
                    <label>
                        <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-0" value="0" data-paymentplanid="0" />
                        <span class="check"></span> Pay in full

                    </label>
                </div>

                @if (Model.ClubDomain.ToLower() == "learnerschess")
                {
                    <h6>Pay deposit now with a payment plan:</h6><span style="color:red"> (Credit card payments only)</span>
                }
                else
                {
                    <h6>Pay deposit now with a payment plan:</h6>
                }
                <ul class="list-unstyled">
                    @foreach (var item in Model.PaymentPlanLists)
                    {
                        <li>
                            @if (item.InstallmentFee.HasValue && item.InstallmentFee.Value > 0)
                            {

                                if (item.IsUseCustomPrompt)
                                {
                                    <div class="radio">
                                        <label>
                                            <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-@item.Id" value="@item.Id" data-paymentplanid="@item.Id" />
                                            <span class="check"></span> @item.CustomInstallmentLable, payment plan fee: @CurrencyHelper.FormatCurrencyWithPenny(item.InstallmentFee, Model.Currency).
                                        </label>
                                    </div>
                                }
                                else
                                {
                                    if (item.IsNameVisible)
                                    {
                                        <div class="radio">
                                            <label>
                                                <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-@item.Id" value="@item.Id" data-paymentplanid="@item.Id" />
                                                <span class="check"></span>@item.Name - @item.NumOfInstallments installments (due dates: @item.InstallmentDueDates). payment plan fee: @CurrencyHelper.FormatCurrencyWithPenny(item.InstallmentFee, Model.Currency).
                                            </label>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="radio">
                                            <label>
                                                <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-@item.Id" value="@item.Id" data-paymentplanid="@item.Id" />
                                                <span class="check"></span> @item.NumOfInstallments installments (due dates: @item.InstallmentDueDates). payment plan fee: @CurrencyHelper.FormatCurrencyWithPenny(item.InstallmentFee, Model.Currency).
                                            </label>
                                        </div>
                                    }
                                }
                            }
                            else
                            {
                                if (item.IsUseCustomPrompt)
                                {
                                    <div class="radio">
                                        <label>
                                            <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-@item.Id" value="@item.Id" data-paymentplanid="@item.Id" />
                                            <span class="check"></span> @item.CustomInstallmentLable
                                        </label>
                                    </div>
                                }
                                else
                                {
                                    if (item.IsNameVisible)
                                    {
                                        <div class="radio">
                                            <label>
                                                <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-@item.Id" value="@item.Id" data-paymentplanid="@item.Id" />
                                                <span class="check"></span>@item.Name - @item.NumOfInstallments Installments (due dates: @item.InstallmentDueDates)
                                            </label>
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="radio">
                                            <label>
                                                <input type="radio" name="paymentPlanRadio" class="select-paymentplan" id="paymentPlan-@item.Id" value="@item.Id" data-paymentplanid="@item.Id" />
                                                <span class="check"></span> @item.NumOfInstallments Installments (due dates: @item.InstallmentDueDates)
                                            </label>
                                        </div>
                                    }
                                }
                            }

                            @if (item.IsAutoChargeMandatory)
                            {
                                <div style="color: #F68B0F; padding-left:25px" id="paymentPlan-msg-@item.Id">By choosing this option, you will be charged automatically on the due dates.</div>
                            }

                        </li>
                    }
                </ul>
            </div>
        </section>
    }
}
